﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Navigation;
using Microsoft.Phone.Controls;
using Microsoft.Phone.Shell;
using SfRadialMenu_115870.Resources;
using Syncfusion.WP.Controls.Navigation;
using System.Windows.Media.Imaging;

namespace SfRadialMenu_115870
{
    public partial class MainPage : PhoneApplicationPage
    {
        // Constructor
        public MainPage()
        {
            InitializeComponent();
            SfRadialMenu Radial = new SfRadialMenu() { RadiusX = 190, RadiusY = 190, Margin=new Thickness(0,-4,-207,4),HorizontalAlignment=HorizontalAlignment.Right };
            CreateItems(Radial);
            ContentPanel.Children.Add(Radial);         
        }

        private void CreateItems(SfRadialMenu Radial)
        {
            
            Grid cutgrid = new Grid() ;
            StackPanel stack = new StackPanel() {Orientation= System.Windows.Controls.Orientation.Vertical };
            TextBlock text = new TextBlock() {Text="Cut" };
            Image Cutimage = new Image() { Source = new BitmapImage(new Uri("/Assets/Cut.png", UriKind.Relative)), Height = 20, Width = 20 };
            stack.Children.Add(Cutimage);
            stack.Children.Add(text);
            cutgrid.Children.Add(stack);
            SfRadialMenuItem Item1 = new SfRadialMenuItem() {Header=cutgrid };
            Radial.Items.Add(Item1);
            Grid copygrid = new Grid();
            StackPanel stack1 = new StackPanel() { Orientation = System.Windows.Controls.Orientation.Vertical };
            TextBlock text1 = new TextBlock() { Text = "Copy" };
            Image copyimage = new Image() { Source = new BitmapImage(new Uri("/Assets/Copy.png", UriKind.Relative)), Height = 20, Width=20 };
            stack1.Children.Add(copyimage);
            stack1.Children.Add(text1);
            copygrid.Children.Add(stack1);
            SfRadialMenuItem Item2 = new SfRadialMenuItem() { Header = copygrid };
            Radial.Items.Add(Item2);
            Grid pastegrid = new Grid();
            StackPanel stack2 = new StackPanel() { Orientation = System.Windows.Controls.Orientation.Vertical };
            TextBlock text2 = new TextBlock() { Text = "Paste" };
            Image Pasteimage = new Image() { Source = new BitmapImage(new Uri("/Assets/Paste.png", UriKind.Relative)), Height = 20, Width = 20 };
            stack2.Children.Add(Pasteimage);
            stack2.Children.Add(text2);
            pastegrid.Children.Add(stack2);
            SfRadialMenuItem Item3 = new SfRadialMenuItem() { Header = pastegrid };
            Radial.Items.Add(Item3);

            Grid Boldgrid = new Grid();
            StackPanel stack3 = new StackPanel() { Orientation = System.Windows.Controls.Orientation.Vertical };
            TextBlock text3 = new TextBlock() { Text = "Bold" };
            Image Boldimage = new Image() { Source = new BitmapImage(new Uri("/Assets/Text-Bold.png", UriKind.Relative)), Height = 20, Width = 20 };
            stack3.Children.Add(Boldimage);
            stack3.Children.Add(text3);
            Boldgrid.Children.Add(stack3);
            SfRadialMenuItem Item4 = new SfRadialMenuItem() { Header = Boldgrid };
            Radial.Items.Add(Item4);

            Grid Undogrid = new Grid();
            StackPanel stack4 = new StackPanel() { Orientation = System.Windows.Controls.Orientation.Vertical };
            TextBlock text4 = new TextBlock() { Text = "Undo" };
            Image Undoimage = new Image() { Source = new BitmapImage(new Uri("/Assets/Undo.png", UriKind.Relative)), Height = 20, Width = 20 };
            stack4.Children.Add(Undoimage);
            stack4.Children.Add(text4);
            Undogrid.Children.Add(stack4);
            SfRadialMenuItem Item5 = new SfRadialMenuItem() { Header = Undogrid };
            Radial.Items.Add(Item5);

            Grid Redogrid = new Grid();
            StackPanel stack5 = new StackPanel() { Orientation = System.Windows.Controls.Orientation.Vertical };
            TextBlock text5 = new TextBlock() { Text = "Redo" };
            Image Redoimage = new Image() { Source = new BitmapImage(new Uri("/Assets/Redo.png", UriKind.Relative)), Height = 20, Width = 20 };
            stack5.Children.Add(Redoimage);
            stack5.Children.Add(text5);
            Redogrid.Children.Add(stack5);
            SfRadialMenuItem item6 = new SfRadialMenuItem() { Header = Redogrid };
            Radial.Items.Add(item6);

          
        }

       
        
    }
}